summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-12 23:29:36 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:29:36 +0200
commit56c4326324c43f741a5d88a441d772db5cd976bc (patch)
tree74d91a062f89e60ab46345685e20d4930e6d9034
parent58124800c44323a70de4c3d3803ab448c7290ff1 (diff)
downloadslackbuilds-56c4326324c43f741a5d88a441d772db5cd976bc.tar.gz
slackbuilds-56c4326324c43f741a5d88a441d772db5cd976bc.tar.xz
games/transfusion: Added to 12.2 repository
-rw-r--r--games/transfusion/README11
-rw-r--r--games/transfusion/slack-desc19
-rw-r--r--games/transfusion/transfusion.SlackBuild52
-rw-r--r--games/transfusion/transfusion.in24
-rw-r--r--games/transfusion/transfusion.info8
5 files changed, 114 insertions, 0 deletions
diff --git a/games/transfusion/README b/games/transfusion/README
new file mode 100644
index 0000000000..f7fe08eb6e
--- /dev/null
+++ b/games/transfusion/README
@@ -0,0 +1,11 @@
+Transfusion is a port of the game Blood to the DarkPlaces Quake engine.
+Currently not all levels are ported, and only multiplayer is supported.
+
+From the original game manual:
+
+You are Caleb, and you are a bad, bad man. You sold your immortal soul
+for The Dark God, Tchernobog, and you and the other Chosen served Him
+dutifully until He decided it was time to take everything from you for
+Himself... apparently, even gods make mistakes.
+
+Leaving you to rot in a grave and forgetting about you was a BIG one.
diff --git a/games/transfusion/slack-desc b/games/transfusion/slack-desc
new file mode 100644
index 0000000000..534e297f54
--- /dev/null
+++ b/games/transfusion/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+transfusion: transfusion (port of the game Blood to the DarkPlaces Quake engine)
+transfusion:
+transfusion: Transfusion is a port of the game Blood to the DarkPlaces Quake engine.
+transfusion: Currently not all levels are ported, and only multiplayer is supported.
+transfusion:
+transfusion: From the original game manual:
+transfusion: You are Caleb, and you are a bad, bad man. You sold your immortal soul
+transfusion: for The Dark God, Tchernobog, and you and the other Chosen served
+transfusion: Him dutifully until He decided it was time to take everything from
+transfusion: you for Himself... apparently, even gods make mistakes.
+transfusion: Leaving you to rot in a grave and forgetting about you was a BIG one.
diff --git a/games/transfusion/transfusion.SlackBuild b/games/transfusion/transfusion.SlackBuild
new file mode 100644
index 0000000000..9861b790d3
--- /dev/null
+++ b/games/transfusion/transfusion.SlackBuild
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+# Slackware build script for transfusion
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# The game is distributed as a binary. This script just repackages
+# the binary into a nice Slack package.
+
+PRGNAM=transfusion
+VERSION=${VERSION:-1.05_beta2}
+SRCVER=$(echo $VERSION | sed 's/_/-/g')
+ARCH=i486 # possibly a fib, we dunno how the binary was compiled
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVER
+unzip $CWD/$PRGNAM-$SRCVER.zip
+cd $PRGNAM-$SRCVER
+
+mkdir -p $PKG/usr/share/games/$PRGNAM-$VERSION/basetf
+cp basetf/* $PKG/usr/share/games/$PRGNAM-$VERSION/basetf
+
+mkdir -p $PKG/usr/libexec/$PRGNAM-$VERSION
+cp $PRGNAM-glx $PRGNAM-dedicated $PKG/usr/libexec/$PRGNAM-$VERSION
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Wrapper script: the game expects to find the basetf/ dir in the
+# current directory.
+mkdir -p $PKG/usr/bin
+sed "s/@VERSION@/$VERSION/g" < $CWD/$PRGNAM.in > $PKG/usr/bin/$PRGNAM-glx
+chmod 755 $PKG/usr/bin/$PRGNAM-glx
+( cd $PKG/usr/bin/ && ln -s $PRGNAM-glx $PRGNAM-dedicated )
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c y $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/transfusion/transfusion.in b/games/transfusion/transfusion.in
new file mode 100644
index 0000000000..a498cdae9a
--- /dev/null
+++ b/games/transfusion/transfusion.in
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# Silly wrapper script for transfusion, by B. Watson
+
+set -e
+
+case "$0" in
+ *-dedicated)
+ GAME=dedicated
+ ;;
+ *)
+ GAME=glx
+ ;;
+esac
+
+# You can override these in the environment, if you have multiple
+# versions of transfusion installed.
+
+TF_VERSION=${TF_VERSION:-@VERSION@}
+TF_GAMEDIR=${TF_GAMEDIR:-/usr/share/games/transfusion-$TF_VERSION}
+TF_BIN=${TF_BIN:-/usr/libexec/transfusion-$TF_VERSION/transfusion-$GAME}
+
+cd $TF_GAMEDIR
+exec $TF_BIN "$@"
diff --git a/games/transfusion/transfusion.info b/games/transfusion/transfusion.info
new file mode 100644
index 0000000000..3cdd32989e
--- /dev/null
+++ b/games/transfusion/transfusion.info
@@ -0,0 +1,8 @@
+PRGNAM="transfusion"
+VERSION="1.05_beta2"
+HOMEPAGE="http://www.transfusion-game.com/"
+DOWNLOAD="http://offload.funwithheads.com/transfusion/files/beta/transfusion-1.05-beta2.zip"
+MD5SUM="c19cc9a8160d47b1ea23305a38f1d091"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"